### Method

# ECal ComponentAlarm set_description

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_set_description (
      ECalComponentAlarm* alarm,
      const ECalComponentText* description
    )

#### Description [src]

Set the `alarm` description, as an `ECalComponentText`.

Available since: 3.34

#### Parameters

`description`

  Type: `ECalComponentText`

  A description to set, or `NULL` to unset.

  The argument can be `NULL`.
  The data is owned by the caller of the method.